import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: () => ({
        count:0,
        tab: []
    }),
    mutations: {
        increment(state, amount) {
            state.count+= amount
        },
        store(state, value) {
            state.tab.push(value)
        }
    },
    getters: {
        doubleCount(state)  { return state.count*2},
        fifthCount: (state,getters) => (state.count + getters.doubleCount*2),
        getItem: (state) => (id) => (state.tab[id])
    },
    actions: {
        incrementAsync(context, amount) {
            setTimeout(() => {
                context.commit('increment',amount)
            }, 2000)
        }
    },
    modules: {
    }
})

